> For the complete documentation index, see [llms.txt](https://developers.kwikpaisa.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.kwikpaisa.com/v3-api-reference/payout-apis/bank-transfer/balance-inquiry.md).

# Balance Inquiry

Wallet balance and account status APIs

## Fetch Wallet Balance

> Fetches the available wallet balance and account\
> review status for the selected merchant wallet.<br>

```json
{"openapi":"3.1.0","info":{"title":"KwikPaisa Balance Inquiry API","version":"1.0.0"},"tags":[{"name":"Balance Inquiry","description":"Wallet balance and account status APIs"}],"servers":[{"url":"https://sandbox.kwikpaisa.com","description":"Sandbox Environment"},{"url":"https://api.kwikpaisa.com","description":"Production Environment"}],"paths":{"/api/v3/banking/balance/fetch":{"post":{"tags":["Balance Inquiry"],"summary":"Fetch Wallet Balance","description":"Fetches the available wallet balance and account\nreview status for the selected merchant wallet.\n","operationId":"fetchWalletBalance","parameters":[{"in":"header","name":"X-API-KEY","required":true,"schema":{"type":"string"}},{"in":"header","name":"X-SIGNATURE","required":true,"schema":{"type":"string"}},{"in":"header","name":"X-TIMESTAMP","required":true,"schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BalanceInquiryRequest"}}}},"responses":{"200":{"description":"Wallet balance fetched successfully","content":{"application/json":{}}},"401":{"description":"Authentication failed","content":{"application/json":{}}},"403":{"description":"Invalid wallet ID for selected environment","content":{"application/json":{}}}}}}},"components":{"schemas":{"BalanceInquiryRequest":{"type":"object","required":["kwikx_wallet_id"],"properties":{"kwikx_wallet_id":{"type":"string"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers.kwikpaisa.com/v3-api-reference/payout-apis/bank-transfer/balance-inquiry.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
